PHP Unconference Europe 2015

phpversion

(PHP 4, PHP 5)

phpversionObtiene la versión de PHP

Descripción

string phpversion ([ string $extension ] )

Devuelve una cadena que contiene la versión del analizador de PHP en ejecución o extensión.

Parámetros

extension

Un nombre de extensión opcional.

Valores devueltos

Si el parámetro opcional extension ha sido especificado, phpversion() devuelve la versión de la extensión, o FALSE si no hay información de versión asociada o la extensión no está habilitada.

Ejemplos

Ejemplo #1 phpversion() Ejemplo básico

<?php
// Imprime ejemplo 'Versión actual de PHP: 5.3.8'
echo 'Versión actual de PHP: ' phpversion();

// Imprime ejemplo '2.0' o nada si la extensión no está habilitada
echo phpversion('tidy');
?>

Ejemplo #2 PHP_VERSION_ID Ejemplo y uso

<?php
// PHP_VERSION_ID está disponible a partir de PHP 5.2.7, si nuestra 
// versión es inferior a eso, entonces emular
if (!defined('PHP_VERSION_ID')) {
    
$version explode('.'PHP_VERSION);

    
define('PHP_VERSION_ID', ($version[0] * 10000 $version[1] * 100 $version[2]));
}

// PHP_VERSION_ID se define como un número, donde el mayor número, 
// es la versión más reciente de PHP usada. Se define tal como se utiliza la
// expresión anterior.
//
// $version_id = $major_version * 10000 + $minor_version * 100 + $release_version;
//
// Ahora, con PHP_VERSION_ID podemos comprobar las características que la versión de 
// PHP pueda tener, esto no requiere el uso version_compare () cada vez que compruebe si la 
// versión de PHP no es compatible con una característica.
//
// Por ejemplo, aquí podemos definir las constantes PHP_VERSION_ * que 
// no están disponibles en las versiones anteriores a 5.2.7

if (PHP_VERSION_ID 50207) {
    
define('PHP_MAJOR_VERSION',   $version[0]);
    
define('PHP_MINOR_VERSION',   $version[1]);
    
define('PHP_RELEASE_VERSION'$version[2]);

    
// Y así sucesivamente, ...
}
?>

Notas

Nota:

Esta información también está disponible en la constante predefinida PHP_VERSION. Más información de versión está disponible utilizando las constantes PHP_VERSION_*

Ver también

add a note add a note

User Contributed Notes 3 notes

up
7
cHao
1 year ago
If you're trying to check whether the version of PHP you're running on is sufficient, don't screw around with `strcasecmp` etc.  PHP already has a `version_compare` function, and it's specifically made to compare PHP-style version strings.

<?php
if (version_compare(phpversion(), '5.3.10', '<')) {
   
// php version isn't high enough
}
?>
up
2
pavankumar at tutorvista dot com
4 years ago
To know, what are the {php} extensions loaded & version of extensions :

<?php
foreach (get_loaded_extensions() as $i => $ext)
{
   echo
$ext .' => '. phpversion($ext). '<br/>';
}
?>
up
-8
bitworks at web dot de
5 years ago
to realize if the actual version ist newer than '5.2.10'
simply use:

<?php
   
if (strnatcmp(phpversion(),'5.2.10') >= 0)
    {
       
# equal or newer
   
}
    else
    {
       
# not sufficiant
   
}
?>
To Top